Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040453
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-03-26 12:052019-04-15 12:38
Reportersamuel_nicuesaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revision016c34fc5c71
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toadrianromero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040453: Return line button should be disabled selecting positive and negative lines.

DescriptionReturn line button should be disabled selecting positive and negative lines.
Steps To Reproduce[POS]

- Create a new ticket

- Add 2 products

- Select one line an press return line button

- Select both product lines

- Return line button shouldn't be available.
Proposed SolutionThe idea is for the Return Line button to be enabled only when all lines are positive, or all are negative. If both negative and positive lines are selected, it is not clear how it should work, it would be quite confusing anyway, so it's best to just hide it.
TagsNo tags attached.
Attached Filespatch file icon issue 40453 source posterminal.patch [^] (6,692 bytes) 2019-04-02 08:15 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111015)
hgbot (developer)
2019-04-08 11:42

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 016c34fc5c7111bf4760d8d564f4a0c0b3e1c862
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Apr 08 15:12:37 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/016c34fc5c7111bf4760d8d564f4a0c0b3e1c862 [^]

Fixed issue 40453 : Hide Return Line Button in EDIT Tab when selected lines quantity sign are different

* Refactored rearrangeEditButtonBar function
  Logic for displaying returnLine, deleteLine, showRelatedServices are present inside the removeDiscountButton
  So added button exists condition for each EDIT tab button in rearrangeEditButtonBar function

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---
(0111128)
adrianromero (manager)
2019-04-15 12:38

Verified

- Issue History
Date Modified Username Field Change
2019-03-26 12:05 samuel_nicuesa New Issue
2019-03-26 12:05 samuel_nicuesa Assigned To => Retail
2019-03-26 12:05 samuel_nicuesa Triggers an Emergency Pack => No
2019-03-26 12:33 rafaroda Issue Monitored: rafaroda
2019-03-26 12:37 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-03-26 12:37 ranjith_qualiantech_com Status new => scheduled
2019-03-26 13:42 marvintm Steps to Reproduce Updated View Revisions
2019-03-26 13:42 marvintm Proposed Solution updated
2019-03-27 11:24 ranjith_qualiantech_com File Added: issue 40453 source posterminal.patch
2019-04-02 08:15 ranjith_qualiantech_com File Deleted: issue 40453 source posterminal.patch
2019-04-02 08:15 ranjith_qualiantech_com File Added: issue 40453 source posterminal.patch
2019-04-08 11:42 hgbot Checkin
2019-04-08 11:42 hgbot Note Added: 0111015
2019-04-08 11:42 hgbot Status scheduled => resolved
2019-04-08 11:42 hgbot Resolution open => fixed
2019-04-08 11:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/016c34fc5c7111bf4760d8d564f4a0c0b3e1c862 [^]
2019-04-15 12:38 adrianromero Review Assigned To => adrianromero
2019-04-15 12:38 adrianromero Note Added: 0111128
2019-04-15 12:38 adrianromero Status resolved => closed
2019-04-15 12:38 adrianromero Fixed in Version => RR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker